Name:           corebird
Version:        %(date +%Y%m%d)git%(c=a8cea8b1992f895a9590e20bc8da0c3b98e4a9ca; echo ${c:0:7})
Release:        0%{?dist}
Summary:        Native GTK Twitter client
License:        GPLv3+
URL:            http://corebird.baedert.org/
Source0:        https://github.com/baedert/%{name}/archive/a8cea8b1992f895a9590e20bc8da0c3b98e4a9ca/corebird-a8cea8b1992f895a9590e20bc8da0c3b98e4a9ca.tar.gz
BuildRequires:        autoconf
BuildRequires:        automake
BuildRequires:        intltool
BuildRequires:        libtool
BuildRequires:        gtk3-devel >= 3.16
BuildRequires:        glib2-devel >= 2.44
BuildRequires:        gstreamer1-plugins-base-devel
BuildRequires:        rest-devel
BuildRequires:        json-glib-devel
BuildRequires:        libnotify-devel
BuildRequires:        sqlite-devel
BuildRequires:        libsoup-devel
BuildRequires:        vala-devel
BuildRequires:        librsvg2-tools
BuildRequires:        desktop-file-utils
BuildRequires:        libgee-devel
BuildRequires:        gspell-devel

# For icon directories
Requires:           hicolor-icon-theme

%description
Native GTK Twitter client for the Linux desktop.

%prep
%setup -qn %{name}-a8cea8b1992f895a9590e20bc8da0c3b98e4a9ca
NOCONFIGURE=1 ./autogen.sh

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%find_lang corebird

desktop-file-validate %{buildroot}/%{_datadir}/applications/org.baedert.corebird.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f corebird.lang
%doc COPYING README.md
%{_bindir}/%{name}
%{_bindir}/tweetstates
%{_datadir}/applications/org.baedert.corebird.desktop
%{_datadir}/appdata/org.baedert.corebird.appdata.xml
%{_datadir}/glib-2.0/schemas/org.baedert.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/dbus-1/services/org.baedert.corebird.service
%{_mandir}/man1/%{name}.1*

%changelog
